Updates the specified private endpoint service for the project. The cloud service provider manages the private endpoint service that belongs to the project. To use this resource, the requesting Service Account or API Key must have the Project Owner role.
parâmetros de caminho
-
Sequência única de 24dígitos hexadecimais que identifica seu projeto. Use o endpoint /groups para extrair todos os projetos aos quais o usuário autenticado tem acesso.
AVISO: grupos e projetos são termos sinônimos. O ID do seu grupo é igual ao ID do seu projeto. Para grupos existentes, o ID do grupo/projeto permanece o mesmo. O recurso e os endpoints correspondentes usam o termo grupos.
O formato deve corresponder ao seguinte padrão:
^([a-f0-9]{24})$. -
Unique 24-hexadecimal digit string that identifies the private endpoint service that you want to update.
O formato deve corresponder ao seguinte padrão:
^([a-f0-9]{24})$.
parâmetros de query
-
Sinalizador que indica se o aplicativo empacota a resposta em um objeto JSON
envelope. Alguns clientes de API não podem acessar os cabeçalhos de resposta HTTP ou o código de status. Para corrigir isso, defina envelope=true na consulta. Os endpoints que retornam uma lista de resultados usam o objeto de resultados como um envelope. O aplicativo adiciona o parâmetro de status ao corpo da resposta.O valor padrão é
false. -
Sinalizador que indica se o corpo da resposta deve estar no formato prettyprint.
O valor padrão é
false.Prettyprint
corpo, corpo
Obrigatório
Updates to apply to the private endpoint service.
-
Human-readable label that identifies the cloud service provider for the private endpoint service which you want to update.
O valor é
AWS. -
List of regions that the endpoint service supports. Native cross region support is implemented for AWS only.
Não mais do que
35elementos.
curl \
--request PATCH 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/privateEndpoint/endpointService/{endpointServiceId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"cloudProvider":"AWS","supportedRemoteRegions":["string"]}'
{
"cloudProvider": "AWS",
"supportedRemoteRegions": [
"string"
]
}
{
"cloudProvider": "AWS",
"errorMessage": "string",
"id": "32b6e34b3d91647abb20e7b8",
"regionName": "string",
"status": "INITIATING",
"endpointServiceName": "string",
"interfaceEndpoints": [
"32b6e34b3d91647abb20e7b8"
],
"supportedRemoteRegions": [
"string"
]
}
{
"cloudProvider": "AZURE",
"errorMessage": "string",
"id": "32b6e34b3d91647abb20e7b8",
"regionName": "string",
"status": "INITIATING",
"privateEndpoints": [
"string"
],
"privateLinkServiceName": "string",
"privateLinkServiceResourceId": "/subscriptions/ae349d51-d12b-ee3d-2a27-7d53f6479cf0/resourcegroups/KObGGz/providers/Microsoft.Network/privateLinkServices/pls_d1820713f8153388d533e9de"
}
{
"cloudProvider": "GCP",
"errorMessage": "string",
"id": "32b6e34b3d91647abb20e7b8",
"regionName": "string",
"status": "INITIATING",
"endpointGroupNames": [
"string"
],
"portMappingEnabled": true,
"serviceAttachmentNames": [
"string"
]
}
{
"error": 400,
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"reason": "Bad Request",
"errorCode": "VALIDATION_ERROR"
}
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}